extends PanelContainer

func set_tier_style(tier: String):
	var style = StyleBoxFlat.new()
	
	# Define tier colors
	var tier_colors = {
		"bronze": Color("#A56B2B"),
		"silver": Color("#c0c0c0"),
		"gold": Color("#D7B000")
	}
	
	# Style configuration
	style.bg_color = tier_colors[tier]
	style.corner_radius_top_left = 8
	style.corner_radius_top_right = 8
	style.corner_radius_bottom_right = 8
	style.corner_radius_bottom_left = 8
	style.border_width_bottom = 2
	style.border_width_top = 2
	style.border_width_left = 2
	style.border_width_right = 2
	style.border_color = Color(0, 0, 0, 0.3)
	
	# Apply the style to THIS PanelContainer
	self.add_theme_stylebox_override("panel", style)
